curl -X POST https://chatbot.menuia.com/api/create-message \
-H "Content-Type: application/json" \
-d '{
"appkey": "SUA_APPKEY_AQUI",
"authkey": "SUA_AUTHKEY_AQUI",
"to": "+5511999999999",
"template_id": "TEMPLATE_ID",
"variables": {
"variableKey1": "jhone",
"variableKey2": "replaceable value"
}
}'
const response = await fetch('https://chatbot.menuia.com/api/create-message', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
appkey: 'SUA_APPKEY_AQUI',
authkey: 'SUA_AUTHKEY_AQUI',
to: '+5511999999999',
template_id: 'TEMPLATE_ID',
variables: {
variableKey1: 'jhone',
variableKey2: 'replaceable value'
}
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/create-message',
json={
'appkey': 'SUA_APPKEY_AQUI',
'authkey': 'SUA_AUTHKEY_AQUI',
'to': '+5511999999999',
'template_id': 'TEMPLATE_ID',
'variables': {
'variableKey1': 'jhone',
'variableKey2': 'replaceable value'
}
}
)
$response = Http::post('https://chatbot.menuia.com/api/create-message', [
'appkey' => 'SUA_APPKEY_AQUI',
'authkey' => 'SUA_AUTHKEY_AQUI',
'to' => '+5511999999999',
'template_id' => 'TEMPLATE_ID',
'variables' => [
'variableKey1' => 'jhone',
'variableKey2' => 'replaceable value'
]
]);
{
"status": 200,
"message": "Template enviado com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Template não encontrado."
}
Mensagens Interativas
Enviar Template
POST
/
api
/
create-message
curl -X POST https://chatbot.menuia.com/api/create-message \
-H "Content-Type: application/json" \
-d '{
"appkey": "SUA_APPKEY_AQUI",
"authkey": "SUA_AUTHKEY_AQUI",
"to": "+5511999999999",
"template_id": "TEMPLATE_ID",
"variables": {
"variableKey1": "jhone",
"variableKey2": "replaceable value"
}
}'
const response = await fetch('https://chatbot.menuia.com/api/create-message', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
appkey: 'SUA_APPKEY_AQUI',
authkey: 'SUA_AUTHKEY_AQUI',
to: '+5511999999999',
template_id: 'TEMPLATE_ID',
variables: {
variableKey1: 'jhone',
variableKey2: 'replaceable value'
}
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/create-message',
json={
'appkey': 'SUA_APPKEY_AQUI',
'authkey': 'SUA_AUTHKEY_AQUI',
'to': '+5511999999999',
'template_id': 'TEMPLATE_ID',
'variables': {
'variableKey1': 'jhone',
'variableKey2': 'replaceable value'
}
}
)
$response = Http::post('https://chatbot.menuia.com/api/create-message', [
'appkey' => 'SUA_APPKEY_AQUI',
'authkey' => 'SUA_AUTHKEY_AQUI',
'to' => '+5511999999999',
'template_id' => 'TEMPLATE_ID',
'variables' => [
'variableKey1' => 'jhone',
'variableKey2' => 'replaceable value'
]
]);
{
"status": 200,
"message": "Template enviado com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Template não encontrado."
}
Webhook relacionado: Botão / Lista
Respostas aos botões do template disparam o evento Botão / Lista.
Descrição
Este endpoint permite enviar mensagens usando templates pré-definidos com variáveis personalizadas, para um número ou grupo.Parâmetros
string
required
Chave de aplicação.
string
required
Chave de autenticação do usuário.
string
required
Número de telefone no formato internacional ou ID do grupo.
string
required
Identificador único do template a ser utilizado.
object
required
Objeto com chave-valor para substituir as variáveis do template.
curl -X POST https://chatbot.menuia.com/api/create-message \
-H "Content-Type: application/json" \
-d '{
"appkey": "SUA_APPKEY_AQUI",
"authkey": "SUA_AUTHKEY_AQUI",
"to": "+5511999999999",
"template_id": "TEMPLATE_ID",
"variables": {
"variableKey1": "jhone",
"variableKey2": "replaceable value"
}
}'
const response = await fetch('https://chatbot.menuia.com/api/create-message', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
appkey: 'SUA_APPKEY_AQUI',
authkey: 'SUA_AUTHKEY_AQUI',
to: '+5511999999999',
template_id: 'TEMPLATE_ID',
variables: {
variableKey1: 'jhone',
variableKey2: 'replaceable value'
}
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/create-message',
json={
'appkey': 'SUA_APPKEY_AQUI',
'authkey': 'SUA_AUTHKEY_AQUI',
'to': '+5511999999999',
'template_id': 'TEMPLATE_ID',
'variables': {
'variableKey1': 'jhone',
'variableKey2': 'replaceable value'
}
}
)
$response = Http::post('https://chatbot.menuia.com/api/create-message', [
'appkey' => 'SUA_APPKEY_AQUI',
'authkey' => 'SUA_AUTHKEY_AQUI',
'to' => '+5511999999999',
'template_id' => 'TEMPLATE_ID',
'variables' => [
'variableKey1' => 'jhone',
'variableKey2' => 'replaceable value'
]
]);
{
"status": 200,
"message": "Template enviado com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Template não encontrado."
}
⌘I

